[SA22137] BBaCE "phpbb_root_path" File Inclusion

2006-10-05T00:00:00
ID SECURITYVULNS:DOC:14562
Type securityvulns
Reporter Securityvulns
Modified 2006-10-05T00:00:00

Description

TITLE: BBaCE "phpbb_root_path" File Inclusion

SECUNIA ADVISORY ID: SA22137

VERIFY ADVISORY: http://secunia.com/advisories/22137/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: BBaCE 3.x http://secunia.com/product/12188/

DESCRIPTION: SpiderZ has reported a vulnerability in BBaCE, which can be exploited by malicious people to compromise a vulnerable system.

Input passed to the "phpbb_root_path" parameter in includes/functions.php is not properly verified before being used to include files. This can be exploited to include arbitrary files from local or remote resources.

The vulnerability has been reported in version 3.5. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly sanitised.

PROVIDED AND/OR DISCOVERED BY: SpiderZ


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.